Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Interface CloseableIterator<T>

All Superinterfaces:
  java.io.Closeable, java.util.Iterator<T>

All Known Subinterfaces:
  IColumnIterator, ICompactionScanner, ICountableColumnIterator, IMergeIterator<In,Out>, ISSTableColumnIterator

All Known Implementing Classes:
  AbstractColumnIterator, ColumnFamilyStore.AbstractScanIterator, KeyIterator, LazyColumnIterator, MergeIterator, ReducingKeyIterator, SimpleAbstractColumnIterator, SSTableBoundedScanner, SSTableIdentityIterator, SSTableNamesIterator, SSTableScanner, SSTableSliceIterator

    public interface CloseableIterator<T>

extends java.util.Iterator<T>, java.io.Closeable

Method Summary

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface java.io.Closeable
`close`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation